Subject: RE: [mobile-ip] RE: A Question about:draft-ietf-mobileip-aaa-nai- 00.txt

From: "Ahmad Muhanna"<[email-masked]>
Date: Mon, 22 Apr 2002 14:58:40 -0500

Hello Tony;
YES; this solves the problem.

Regards;
Ahmad Muhanna

> -----Original Message-----
> From: Tony Johansson [mailto:[email-masked]]
> Sent: Monday, April 22, 2002 2:51 PM
> To: Muhanna, Ahmad [RICH1:2Q20:EXCH]
> Cc: 'Fredrik Johansson'; [email-masked];
> [email-masked]
> Subject: Re: [mobile-ip] RE: A Question
> about:draft-ietf-mobileip-aaa-nai-00.txt
> 
> 
> Hello Ahmad,
> 
> Ahmad Muhanna wrote:
> 
> 
> > I do not think that It is the same!!
> > RFC3012 introduced a new way of authenticating the MN to the FA
> > without violating
> > backward compatibility of RFC2002 or later RFC3220.
> > Mobile Node does not know which way or the standard the 
> foreign agent
> > uses to
> > authenticate it. It could be through RADIUS, AAA, Diameter 
> who knows.
> 
> >
> > The point here is that this draft mandates that every Mobile Node
> > include AAA NAI extension
> > with subtype of 1 whenever it requests static Mobile IP or during
> > Inter-FA handoff.
> > Now: (Standard Compliant RFC3220, RFC3012bis) Legacy Mobile 
> Node which
> > exist right now,
> > does not do this.
> > After this draft becomes a standard, according to this 
> section, MN is
> > not following the
> > standard by not sending AAA NAI extension in initial Registration
> > Request or during re-authentication.!!!
> >
> > This is not backward compatible!!!!
> 
> Okay, so how about adding the following statement to the introduction:
> 
> "The AAA NAI extension MUST only be used with the Diameter Mobile IPv4
> application and MUST NOT be used with any other AAA protocol."
> 
> 
> 
> /Tony
> 
> 
>

---

From: "Robert J Marks" <[email-masked]>
Date: Mon, 22 Apr 2002 16:05:26 -0500

Perhaps someone can explain how the MN knows the type of AAA
infrastructure used by the FA nd HA. I don't believe any information is
included in any advertisement. Does this "solution" rely only upon MN
configuration, or am I missing something here? Thanks.
 
Bob
 
-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Ahmad Muhanna
Sent: Monday, April 22, 2002 1:59 PM
To: 'Tony Johansson'
Cc: 'Fredrik Johansson'; [email-masked];
[email-masked]
Subject: RE: [mobile-ip] RE: A Question
about:draft-ietf-mobileip-aaa-nai-00.txt

Hello Tony; 

Regards; 
Ahmad Muhanna

---

From: Tony Johansson <[email-masked]>
Date: Mon, 22 Apr 2002 14:14:42 -0700

Hi Bob,

Yes, it's based on MN configuration and FA configuration. Same as e.g
the handling of RFC3012/RFC3012bis and the
draft-ietf-mobileip-aaa-key-09.txt.

The advertisements will not tell you anything reading this.

/Tony

Robert J Marks wrote:

> infrastructure used by the FA nd HA. I don't believe any information
> is included in any advertisement. Does this "solution" rely only upon
> MN configuration, or am I missing something here? Thanks.Bob

---

From: "Robert J Marks" <[email-masked]>
Date: Mon, 22 Apr 2002 16:23:11 -0500

Thanks, Tony. 

However, considering that a MN will likely roam into many different
areas served by different FAs, how can it possibly be configured
correctly for all FAs?

I guess the answer must be that all FAs that the MN is likely to use
will support this, or else none will support this.

Bob

Tony Johansson wrote:

Hi Bob,

/Tony